LPCOpen Platform for LPC18XX/43XX microcontrollers: LPC_GPIO_T Struct Reference

| LPCOpen Platform for LPC18XX/43XX microcontrollers 18XX43XX LPCOpen Platform for the NXP LPC18XX/43XX family of Microcontrollers

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
LPC_GPIO_T Struct Reference
CHIP: LPC18xx/43xx GPIO driver

## Detailed Description

GPIO port register block structure.

Definition at line 47 of file gpio_18xx_43xx.h.

`#include "gpio_18xx_43xx.h"`

## Data Fields
__IO uint8_t | B [128][32]
__IO uint32_t | W [32][32]
__IO uint32_t | DIR [32]
__IO uint32_t | MASK [32]
__IO uint32_t | PIN [32]
__IO uint32_t | MPIN [32]
__IO uint32_t | SET [32]
__O uint32_t | CLR [32]
__O uint32_t | NOT [32]

## Field Documentation

__IO uint8_t B[128][32]

< GPIO_PORT Structure Offset 0x0000: Byte pin registers ports 0 to n; pins PIOn_0 to PIOn_31

Definition at line 48 of file gpio_18xx_43xx.h.

__O uint32_t CLR[32]

Offset 0x2280: Clear port n

Definition at line 55 of file gpio_18xx_43xx.h.

__IO uint32_t DIR[32]

Offset 0x2000: Direction registers port n

Definition at line 50 of file gpio_18xx_43xx.h.

__IO uint32_t MASK[32]

Offset 0x2080: Mask register port n

Definition at line 51 of file gpio_18xx_43xx.h.

__IO uint32_t MPIN[32]

Offset 0x2180: Masked port register port n

Definition at line 53 of file gpio_18xx_43xx.h.

__O uint32_t NOT[32]

Offset 0x2300: Toggle port n

Definition at line 56 of file gpio_18xx_43xx.h.

__IO uint32_t PIN[32]

Offset 0x2100: Portpin register port n

Definition at line 52 of file gpio_18xx_43xx.h.

__IO uint32_t SET[32]

Offset 0x2200: Write: Set register for port n Read: output bits for port n

Definition at line 54 of file gpio_18xx_43xx.h.

__IO uint32_t W[32][32]

Offset 0x1000: Word pin registers port 0 to n

Definition at line 49 of file gpio_18xx_43xx.h.

The documentation for this struct was generated from the following file:

- C:/w/lpcopen_docs/software/lpc_core/lpc_chip/chip_18xx_43xx/gpio_18xx_43xx.h